gtk-sharp [00 24 00 00 04 80 00 00 94 00 00 00 06 02 00 00 00 24 00 00 52 53 41 31 00 04 00 00 01 00 01 00 71 EB 6C 55 75 52 9C BF 72 44 F7 A6 EA 05 62 84 F9 EA E0 3B CF F2 CC 13 2C 9C 49 0A B3 09 EA B0 B5 6B CE 44 9D F5 03 D9 C0 A8 1E 52 05 85 CD BE 70 E2 FB 90 43 4B AC 04 FA 62 22 A8 00 98 B7 A1 A7 B3 AF 99 1A 41 23 24 BB 43 25 F6 B8 65 BB 64 EB F6 D1 C2 06 D5 73 2D DF BC 70 A7 38 9E E5 3E 0C 24 6E 32 79 74 1A D0 05 03 E4 98 42 E1 9B F3 7B 19 8B 40 21 26 CB 36 89 C2 EA 64 96 A4 7C B4] 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Gtk.HBox Gtk.FileChooser A button to launch a file selection dialog The FileChooserButton is a widget that lets the user select a file. It implements the interface. Visually, it is a file name with a button to bring up a . The user can then use that dialog to change the file associated with that button. This widget does not support setting the "select-multiple" property to TRUE.

The GtkFileChooserButton will ellipsize the label, and thus will thus request little horizontal space. To give the button more space, you should call , set , or pack the button in such a way that other interface elements give space to the widget.

- Constructor
  2.12.0.0
  System.Obsolete
  a
  Protected Constructor.
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  2.12.0.0
  a . dialog must be a (or subclass) which implements the interface and must not have = .
  Creates a FileChooserButton which uses a specific widget as it's file-picking window.
  To be added
- Constructor
  2.12.0.0
  a
  Internal constructor
  This is not typically used by C# code.
- Constructor
  2.12.0.0
  a
  a
  Creates a FileChooserButton.
  To be added
- Constructor
  2.12.0.0
  a
  a
  a
  Creates a FileChooserButton with a specific backend.
  To be added
- Property
  2.12.0.0
  GLib.Property("action")
  Gtk.FileChooserAction To be added. To be added. To be added.
- Method
  2.12.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  2.12.0.0
  System.Boolean `` To be added. To be added. To be added. To be added.
- Method
  2.12.0.0
  System.Boolean `` To be added. To be added. To be added. To be added.
- Event
  2.12.0.0
  GLib.Signal("confirm-overwrite")
  Gtk.ConfirmOverwriteHandler Indicates a file overwrite has been requested. This event is raised when the user has selected a file name that already exists and the file chooser is in mode. Most applications just need to turn on the property and they will automatically get a stock confirmation dialog. Applications which need to customize this behavior should do that, and also connect to this event. A connected to this event must set to the value indicating the action to take. If the handler determines that the user wants to select a different filename, it should return . If it determines that the user is satisfied with his choice of file name, it should return . On the other hand, if it determines that the stock confirmation dialog should be used, it should return .
- Property
  2.12.0.0
  System.String To be added. To be added. To be added.
- Event
  2.12.0.0
  GLib.Signal("current-folder-changed")
  System.EventHandler To be added. To be added.
- Property
  2.12.0.0
  System.String To be added. To be added. To be added.
- Property
  2.12.0.0
  System.String To be added. To be added. To be added.
- Property
  2.12.0.0
  GLib.Property("do-overwrite-confirmation")
  System.Boolean Enables Overwrite Confirmation in the dialog. if confirmation should be performed.
- Property
  2.12.0.0
  GLib.Property("extra-widget")
  Gtk.Widget To be added. To be added. To be added.
- Event
  2.12.0.0
  GLib.Signal("file-activated")
  System.EventHandler To be added. To be added.
- Property
  2.12.0.0
  System.String To be added. To be added. To be added.
- Property
  2.12.0.0
  System.String[] To be added. To be added. To be added.
- Event
  2.12.0.0
  GLib.Signal("file-set")
  System.EventHandler To be added. To be added.
- Property
  2.12.0.0
  GLib.Property("filter")
  Gtk.FileFilter To be added. To be added. To be added.
- Property
  2.12.0.0
  Gtk.FileFilter[] To be added. To be added. To be added.
- Property
  2.12.0.0
  GLib.Property("focus-on-click")
  System.Boolean Controls if focus is grabbed on button clicks. defaults to . It can be useful to not take focus when embedded in toolbars for example, so that focus stays with the previous control.
- Property
  2.12.0.0
  GLib.GType GType Property. a Returns the native value for .
- Property
  2.12.0.0
  GLib.Property("local-only")
  System.Boolean To be added. To be added. To be added.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideConfirmOverwrite", Type=typeof(Gtk.FileChooserButton))
  Gtk.FileChooserConfirmation Default handler for the event. To be added. Override this method in a subclass to provide a default handler for the event.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideCurrentFolderChanged", Type=typeof(Gtk.FileChooserButton))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideFileActivated", Type=typeof(Gtk.FileChooserButton))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideFileSet", Type=typeof(Gtk.FileChooserButton))
  System.Void To be added. To be added.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideSelectionChanged", Type=typeof(Gtk.FileChooserButton))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideUpdatePreview", Type=typeof(Gtk.FileChooserButton))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Property
  2.12.0.0
  System.String To be added. To be added. To be added.
- Property
  2.12.0.0
  System.String To be added. To be added. To be added.
- Property
  2.12.0.0
  GLib.Property("preview-widget")
  Gtk.Widget To be added. To be added. To be added.
- Property
  2.12.0.0
  GLib.Property("preview-widget-active")
  System.Boolean To be added. To be added. To be added.
- Method
  2.12.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  2.12.0.0
  System.Boolean `` To be added. To be added. To be added. To be added.
- Method
  2.12.0.0
  System.Boolean `` To be added. To be added. To be added. To be added.
- Method
  2.12.0.0
  System.Void To be added. To be added.
- Method
  2.12.0.0
  System.Boolean `` To be added. To be added. To be added. To be added.
- Event
  2.12.0.0
  GLib.Signal("selection-changed")
  System.EventHandler To be added. To be added.
- Property
  2.12.0.0
  GLib.Property("select-multiple")
  System.Boolean To be added. To be added. To be added.
- Method
  2.12.0.0
  System.Boolean `` To be added. To be added. To be added. To be added.
- Method
  2.12.0.0
  System.Boolean `` To be added. To be added. To be added. To be added.
- Method
  2.12.0.0
  System.Boolean `` To be added. To be added. To be added. To be added.
- Method
  2.12.0.0
  System.Boolean `` To be added. To be added. To be added. To be added.
- Method
  2.12.0.0
  System.Boolean `` To be added. To be added. To be added. To be added.
- Property
  2.12.0.0
  System.String[] To be added. To be added. To be added.
- Property
  2.12.0.0
  System.String[] To be added. To be added. To be added.
- Property
  2.12.0.0
  GLib.Property("show-hidden")
  System.Boolean Indicates if Hidden files and directories should be visible. To be added.
- Property
  2.12.0.0
  GLib.Property("title")
  System.String To be added a To be added
- Method
  2.12.0.0
  System.Void To be added. To be added.
- Method
  2.12.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  2.12.0.0
  System.Void `` To be added. To be added. To be added.
- Event
  2.12.0.0
  GLib.Signal("update-preview")
  System.EventHandler To be added. To be added.
- Property
  2.12.0.0
  System.String To be added. To be added. To be added.
- Property
  2.12.0.0
  System.String[] To be added. To be added. To be added.
- Property
  2.12.0.0
  GLib.Property("use-preview-label")
  System.Boolean To be added. To be added. To be added.
- Property
  2.12.0.0
  GLib.Property("width-chars")
  System.Int32 The width of the entry and label inside the button, in characters. a To be added